import { NgModule, ModuleWithProviders } from '@angular/core';
import { CommonModule } from '@angular/common';

import { RouterModule } from '@angular/router';

import { OddsCrawlerFrontendCommonModule } from '@odds-crawler/common';
import { OddsCrawlerFrontendNetworkModule } from '@odds-crawler/network';

import { MainComponent } from './component/main.component';

export const COMPONENTS = [MainComponent];

@NgModule({
  declarations: [...COMPONENTS],
  imports: [
    CommonModule,
    RouterModule,
    OddsCrawlerFrontendCommonModule,
    OddsCrawlerFrontendNetworkModule
  ],
  exports: [...COMPONENTS]
})
export class OddsCrawlerFrontendTabModule {
  public static forRoot(): ModuleWithProviders<
    OddsCrawlerFrontendTabRootModule
  > {
    return {
      ngModule: OddsCrawlerFrontendTabRootModule,
      providers: []
    };
  }
}

@NgModule({
  imports: [],
  exports: []
})
export class OddsCrawlerFrontendTabRootModule {}
